RewriteEngine On
RewriteBase /
Options +FollowSymlinks
Options -Indexes

RewriteCond %{HTTP_HOST} !^www\.
RewriteRule ^(.*)$ https://www.%{HTTP_HOST}%{REQUEST_URI} [L,R=permanent]
RewriteCond %{SERVER_PORT} !=443
RewriteRule ^(.*)$ https://%{HTTP_HOST}%{REQUEST_URI} [L,R=permanent]
## Remove trailing slash
RewriteCond %{REQUEST_FILENAME} !-d [NC]
RewriteCond %{REQUEST_URI} !^/admin/(.*) [NC]
RewriteRule ^(.*)/$ https://%{HTTP_HOST}/$1 [L,R=301]

ErrorDocument 404 /404.html

RewriteCond %{REQUEST_URI}  !^(.*)/libraries/(.*) [NC]
RewriteCond %{REQUEST_URI}  !^(.*)/css/(.*) [NC]
RewriteRule ^admin/([^/]*)/([^/]*)/(.*)$ admin/index.php?module=$1&action=$2&$3 [L]


RewriteRule ^admin/$ admin/index.php [L]
RewriteRule ^wyszukiwarka(|/)$ index.php?search=true&lang=pl [L]
RewriteRule ^wersja-tymczasowa(|/)$ index.php?devel=true&lang=pl [L]
RewriteRule ^pixieset/(.*)$ index.php?module=articles&action=image&hash=$1 [L]
RewriteRule ^pixieset-wszystkie/(.*)$ index.php?module=articles&action=images_download&hash=$1 [L]
RewriteRule ^audyt-seo/wynik(|/)$ index.php?module=auditSEO&action=main_view&%{QUERY_STRING} [L]

RewriteCond %{REQUEST_URI} ^/auditSEO/(.*) [NC]
RewriteRule ^([^/]*)/([^/]*)/(.*)$ index.php?module=$1&action=$2&$3 [L]

RewriteCond %{THE_REQUEST} ^[A-Z]{3,9}\ /index.php
RewriteRule ^ /%1 [R=301,L]
<IfModule mod_deflate.c>
AddOutputFilterByType DEFLATE text/html text/plain text/xml application/xml application/xhtml+xml text/css text/javascript application/javascript application/x-javascript
</IfModule>
<IfModule mod_expires.c>
ExpiresActive on
ExpiresDefault "access plus 1 year"
ExpiresByType text/css "access plus 1 year"
ExpiresByType application/json "access plus 0 seconds"
ExpiresByType application/xml "access plus 0 seconds"
ExpiresByType text/xml "access plus 0 seconds"
ExpiresByType image/x-icon "access plus 1 week"
ExpiresByType text/x-component "access plus 1 year"
ExpiresByType text/html "access plus 0 seconds"
ExpiresByType application/javascript "access plus 1 year"
ExpiresByType application/x-web-app-manifest+json "access plus 0 seconds"
ExpiresByType text/cache-manifest "access plus 0 seconds"
ExpiresByType audio/ogg "access plus 1 year"
ExpiresByType image/gif "access plus 1 year"
ExpiresByType image/jpeg "access plus 1 year"
ExpiresByType image/webp "access plus 1 year"
ExpiresByType image/png "access plus 1 year"
ExpiresByType video/mp4 "access plus 1 year"
ExpiresByType video/ogg "access plus 1 year"
ExpiresByType video/webm "access plus 1 year"
ExpiresByType application/atom+xml "access plus 1 hour"
ExpiresByType application/rss+xml "access plus 1 hour"
ExpiresByType application/font-woff "access plus 1 year"
ExpiresByType application/vnd.ms-fontobject "access plus 1 year"
ExpiresByType application/x-font-ttf "access plus 1 year"
ExpiresByType font/opentype "access plus 1 year"
ExpiresByType image/svg+xml "access plus 1 year"
</IfModule>
<Files *.conf>
  Order Deny,Allow
  Deny from all
</Files>
<Files *.log>
  Order Deny,Allow
  Deny from all
</Files>
<Files *.ini>
  Order Deny,Allow
  Deny from all
</Files>
RewriteRule ^pl/$ index.php?a=change_language&id=pl [L]

RewriteRule ^$ index.php?a=page&id=10&lang=pl&%{QUERY_STRING} [L]

RewriteCond %{REQUEST_URI} ^/home$
RewriteRule ^(.*)$ https://www.project-pro.pl/ [R=301,L]
RewriteCond %{REQUEST_URI} ^/home/s/1$
RewriteRule ^(.*)$ https://www.project-pro.pl/ [R=301,L]
RewriteCond %{REQUEST_URI} "^/$"
RewriteRule ^$ index.php?a=page&id=10&lang=pl [L]

RewriteRule ^home(|/)$ index.php?a=page&id=10&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^home/s/1(|/)$ home [R=301,L]
RewriteRule ^home/s/([0-9]+)(|/)$ index.php?a=page&id=10&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^strony-www(|/)$ index.php?a=page&id=3&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^strony-www/s/1(|/)$ strony-www [R=301,L]
RewriteRule ^strony-www/s/([0-9]+)(|/)$ index.php?a=page&id=3&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^marketing-internetowy(|/)$ index.php?a=page&id=4&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^marketing-internetowy/s/1(|/)$ marketing-internetowy [R=301,L]
RewriteRule ^marketing-internetowy/s/([0-9]+)(|/)$ index.php?a=page&id=4&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^tworzenie-stron-www(|/)$ index.php?a=page&id=22&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^tworzenie-stron-www/s/1(|/)$ tworzenie-stron-www [R=301,L]
RewriteRule ^tworzenie-stron-www/s/([0-9]+)(|/)$ index.php?a=page&id=22&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^oferta-dedykowana(|/)$ index.php?a=page&id=5&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^oferta-dedykowana/s/1(|/)$ oferta-dedykowana [R=301,L]
RewriteRule ^oferta-dedykowana/s/([0-9]+)(|/)$ index.php?a=page&id=5&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^projektowanie-sklepow-internetowych(|/)$ index.php?a=page&id=23&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^projektowanie-sklepow-internetowych/s/1(|/)$ projektowanie-sklepow-internetowych [R=301,L]
RewriteRule ^projektowanie-sklepow-internetowych/s/([0-9]+)(|/)$ index.php?a=page&id=23&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^realizacje(|/)$ index.php?a=page&id=6&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^realizacje/s/1(|/)$ realizacje [R=301,L]
RewriteRule ^realizacje/s/([0-9]+)(|/)$ index.php?a=page&id=6&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^systemy-zarzadzania-trescia-cms(|/)$ index.php?a=page&id=24&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^systemy-zarzadzania-trescia-cms/s/1(|/)$ systemy-zarzadzania-trescia-cms [R=301,L]
RewriteRule ^systemy-zarzadzania-trescia-cms/s/([0-9]+)(|/)$ index.php?a=page&id=24&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^blog(|/)$ index.php?a=page&id=7&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^blog/s/1(|/)$ blog [R=301,L]
RewriteRule ^blog/s/([0-9]+)(|/)$ index.php?a=page&id=7&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^obsluga-istniejacych-stron(|/)$ index.php?a=page&id=25&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^obsluga-istniejacych-stron/s/1(|/)$ obsluga-istniejacych-stron [R=301,L]
RewriteRule ^obsluga-istniejacych-stron/s/([0-9]+)(|/)$ index.php?a=page&id=25&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^o-nas(|/)$ index.php?a=page&id=2&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^o-nas/s/1(|/)$ o-nas [R=301,L]
RewriteRule ^o-nas/s/([0-9]+)(|/)$ index.php?a=page&id=2&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^pozycjonowanie-stron-internetowych(|/)$ index.php?a=page&id=26&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozycjonowanie-stron-internetowych/s/1(|/)$ pozycjonowanie-stron-internetowych [R=301,L]
RewriteRule ^pozycjonowanie-stron-internetowych/s/([0-9]+)(|/)$ index.php?a=page&id=26&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^pozycjonowanie-lokalne(|/)$ index.php?a=page&id=27&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozycjonowanie-lokalne/s/1(|/)$ pozycjonowanie-lokalne [R=301,L]
RewriteRule ^pozycjonowanie-lokalne/s/([0-9]+)(|/)$ index.php?a=page&id=27&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^kontakt(|/)$ index.php?a=page&id=8&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^kontakt/s/1(|/)$ kontakt [R=301,L]
RewriteRule ^kontakt/s/([0-9]+)(|/)$ index.php?a=page&id=8&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^pozycjonowanie-long-tail(|/)$ index.php?a=page&id=28&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozycjonowanie-long-tail/s/1(|/)$ pozycjonowanie-long-tail [R=301,L]
RewriteRule ^pozycjonowanie-long-tail/s/([0-9]+)(|/)$ index.php?a=page&id=28&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^pozycjonowanie-sklepow-internetowych(|/)$ index.php?a=page&id=29&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozycjonowanie-sklepow-internetowych/s/1(|/)$ pozycjonowanie-sklepow-internetowych [R=301,L]
RewriteRule ^pozycjonowanie-sklepow-internetowych/s/([0-9]+)(|/)$ index.php?a=page&id=29&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^social-media(|/)$ index.php?a=page&id=30&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^social-media/s/1(|/)$ social-media [R=301,L]
RewriteRule ^social-media/s/([0-9]+)(|/)$ index.php?a=page&id=30&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^oprogramowanie-dla-firm(|/)$ index.php?a=page&id=31&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^oprogramowanie-dla-firm/s/1(|/)$ oprogramowanie-dla-firm [R=301,L]
RewriteRule ^oprogramowanie-dla-firm/s/([0-9]+)(|/)$ index.php?a=page&id=31&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^identyfikacja-wizualna(|/)$ index.php?a=page&id=32&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^identyfikacja-wizualna/s/1(|/)$ identyfikacja-wizualna [R=301,L]
RewriteRule ^identyfikacja-wizualna/s/([0-9]+)(|/)$ index.php?a=page&id=32&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^pozycjonowanie-debica(|/)$ index.php?a=page&id=33&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozycjonowanie-debica/s/1(|/)$ pozycjonowanie-debica [R=301,L]
RewriteRule ^pozycjonowanie-debica/s/([0-9]+)(|/)$ index.php?a=page&id=33&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^pozycjonowanie-krakow(|/)$ index.php?a=page&id=34&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozycjonowanie-krakow/s/1(|/)$ pozycjonowanie-krakow [R=301,L]
RewriteRule ^pozycjonowanie-krakow/s/([0-9]+)(|/)$ index.php?a=page&id=34&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^pozycjonowanie-jaslo(|/)$ index.php?a=page&id=47&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozycjonowanie-jaslo/s/1(|/)$ pozycjonowanie-jaslo [R=301,L]
RewriteRule ^pozycjonowanie-jaslo/s/([0-9]+)(|/)$ index.php?a=page&id=47&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^pozycjonowanie-kielce(|/)$ index.php?a=page&id=35&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozycjonowanie-kielce/s/1(|/)$ pozycjonowanie-kielce [R=301,L]
RewriteRule ^pozycjonowanie-kielce/s/([0-9]+)(|/)$ index.php?a=page&id=35&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^pozycjonowanie-krosno(|/)$ index.php?a=page&id=36&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozycjonowanie-krosno/s/1(|/)$ pozycjonowanie-krosno [R=301,L]
RewriteRule ^pozycjonowanie-krosno/s/([0-9]+)(|/)$ index.php?a=page&id=36&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^pozycjonowanie-mielec(|/)$ index.php?a=page&id=37&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozycjonowanie-mielec/s/1(|/)$ pozycjonowanie-mielec [R=301,L]
RewriteRule ^pozycjonowanie-mielec/s/([0-9]+)(|/)$ index.php?a=page&id=37&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^pozycjonowanie-nowy-sacz(|/)$ index.php?a=page&id=38&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozycjonowanie-nowy-sacz/s/1(|/)$ pozycjonowanie-nowy-sacz [R=301,L]
RewriteRule ^pozycjonowanie-nowy-sacz/s/([0-9]+)(|/)$ index.php?a=page&id=38&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^pozycjonowanie-przemysl(|/)$ index.php?a=page&id=39&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozycjonowanie-przemysl/s/1(|/)$ pozycjonowanie-przemysl [R=301,L]
RewriteRule ^pozycjonowanie-przemysl/s/([0-9]+)(|/)$ index.php?a=page&id=39&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^pozycjonowanie-rzeszow(|/)$ index.php?a=page&id=40&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozycjonowanie-rzeszow/s/1(|/)$ pozycjonowanie-rzeszow [R=301,L]
RewriteRule ^pozycjonowanie-rzeszow/s/([0-9]+)(|/)$ index.php?a=page&id=40&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^pozycjonowanie-stalowa-wola(|/)$ index.php?a=page&id=41&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozycjonowanie-stalowa-wola/s/1(|/)$ pozycjonowanie-stalowa-wola [R=301,L]
RewriteRule ^pozycjonowanie-stalowa-wola/s/([0-9]+)(|/)$ index.php?a=page&id=41&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^pozycjonowanie-tarnow(|/)$ index.php?a=page&id=42&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozycjonowanie-tarnow/s/1(|/)$ pozycjonowanie-tarnow [R=301,L]
RewriteRule ^pozycjonowanie-tarnow/s/([0-9]+)(|/)$ index.php?a=page&id=42&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^kampanie-google-ads-rzeszow(|/)$ index.php?a=page&id=44&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^kampanie-google-ads-rzeszow/s/1(|/)$ kampanie-google-ads-rzeszow [R=301,L]
RewriteRule ^kampanie-google-ads-rzeszow/s/([0-9]+)(|/)$ index.php?a=page&id=44&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^polityka-prywatnosci(|/)$ index.php?a=page&id=45&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^polityka-prywatnosci/s/1(|/)$ polityka-prywatnosci [R=301,L]
RewriteRule ^polityka-prywatnosci/s/([0-9]+)(|/)$ index.php?a=page&id=45&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^test-page(|/)$ index.php?a=page&id=46&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^test-page/s/1(|/)$ test-page [R=301,L]
RewriteRule ^test-page/s/([0-9]+)(|/)$ index.php?a=page&id=46&lang=pl&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^cechy-dobrej-strony-internetowej(|/)$ index.php?article=10&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^czym-jest-certyfikat-ssl-i-dlaczego-warto-go-miec(|/)$ index.php?article=12&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^zakladka-zakupy-w-wyszukiwarce-google(|/)$ index.php?article=8&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^speed-update-pagespeed-czynnikiem-rankingowym-w-mobilnej-wyszukiwarce-google(|/)$ index.php?article=4&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^zalety-posiadania-strony-firmowej-na-facebooku(|/)$ index.php?article=11&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^responsywnosc-strony-internetowej-czym-jest-i-dlaczego-jest-tak-wazna-przy-prowadzeniu-biznesu(|/)$ index.php?article=13&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^co-to-jest-pozycjonowanie-lokalne(|/)$ index.php?article=57&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^jak-sprawdzic-do-kogo-nalezy-domena-poradnik(|/)$ index.php?article=80&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^najnowsze-trendy-w-email-marketingu-na-co-zwrocic-uwage-w-2023-roku(|/)$ index.php?article=81&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^prowadzenie-bloga-firmowego-jako-element-strategii-marketingowej(|/)$ index.php?article=83&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^seo-vs-sem-na-czym-polega-roznica-i-ktore-z-nich-wybrac(|/)$ index.php?article=82&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^dropshipping-na-czym-polega-wady-zalety(|/)$ index.php?article=84&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^grafika-wektorowa-czym-jest-i-gdzie-znajduje-zastosowanie(|/)$ index.php?article=85&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^cross-selling-sposob-na-wieksza-sprzedaz(|/)$ index.php?article=86&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^blad-404-co-oznacza-i-jak-go-naprawic(|/)$ index.php?article=87&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-patekapartaments(|/)$ index.php?article=88&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-gbvidok(|/)$ index.php?article=89&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-kamperypodkarpacie(|/)$ index.php?article=90&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-kingstorage(|/)$ index.php?article=91&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-devidok(|/)$ index.php?article=92&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-pianfol(|/)$ index.php?article=93&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-roximplast(|/)$ index.php?article=94&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-emifloor(|/)$ index.php?article=95&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-csb(|/)$ index.php?article=97&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-redline(|/)$ index.php?article=98&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-ibra-makeup(|/)$ index.php?article=99&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-pomysloweprezenty(|/)$ index.php?article=100&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-marianek(|/)$ index.php?article=101&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-wyczarujprezent(|/)$ index.php?article=96&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-lulandia(|/)$ index.php?article=102&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^realizacje-wingedit(|/)$ index.php?article=103&lang=pl&%{QUERY_STRING} [L]

RewriteRule ^oferty-pracy(|/)$ index.php?module=globelusAdverts&action=adverts_list&cp=1&%{QUERY_STRING} [L]
RewriteRule ^newsletter/signin$ index.php?module=newsletter&action=signin [L]
RewriteRule ^newsletter/confirm/hash=(.*)$ index.php?module=newsletter&action=confirm&hash=$1 [L]
RewriteRule ^newsletter/unsubscribe/hash=(.*)$ index.php?module=newsletter&action=unsubscribe&hash=$1 [L]
